Subject: bug#77291: 31.0.50; Rainbow-mode conflicts with fontification of function arguments in help-mode buffers

From: Elijah Gabe Pérez <[email-masked]>
Date: Thu, 27 Mar 2025 13:04:15 -0600

Kristoffer Balintona <[email-masked]> writes:

> Hello,

> I am writing to report a bug in rainbow-mode. The bug is simple: when
> enabling rainbow-mode in help-mode buffers, function argument names are
> not fontified as they should be.

> Expected behavior:
> Function arguments in help-mode buffers should have the
> help-argument-name face applied to them (when help-display-function-type
> is non-nil, I think).

> Actual behavior:
> With rainbow-mode enabled, this is not the case. Instead, argument names
> have no face. Disabling rainbow-mode and reverting the buffer
> (revert-buffer) returns the expected fontification.

I'm not rainbow-mode author or maintainer, but this is a font-lock
downside (which rainbow-mode uses), font-lock overrides any
text-property (faces) made in the buffer.

Also this is the same problem with all minor modes that uses font-lock.

-- 
                                          - E.G via GNU Emacs and Org.